﻿@{
    Layout = "/Views/Shared/_LayoutBase.cshtml";
    ViewData["Title"] = "Map";
}

<div id="container">
    <div id="map-canvas"></div>
</div>

<div id="customMapControls">
    <div class="modal fade" id="linkPopup" tabindex="-1" role="dialog" aria-labelledby="linkModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="linkModalLabel">Link to this map</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h6>Link:</h6>
                    <input class="link" type="text" readonly="readonly" id="linkByArea" onclick="$(this).select();" />
                    <p>Test the link <a id='testLink' href="" target="_blank">here</a>.</p>

                    <h6>Embed:</h6>
                    <p>
                        <input class="link" type="text" readonly="readonly" id="embed" onclick="$(this).select();" />
                    </p>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="detailsPopup" tabindex="-1" role="dialog" aria-labelledby="detailsPopupTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
            <div class="modal-content">
                <span class="badge badge-secondary" style="border-radius: initial"></span>
                <div class="modal-header">
                    <h1 class="modal-title" id="detailsPopupTitle"></h1>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="details-spinner spinner-border" role="status">
                        <span class="sr-only">Loading...</span>
                    </div>
                    <div class="details"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <a type="button" id="openMarkerUrlButton" class="btn btn-primary" onclick="pushState()">Full Details</a>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="mapShapeDetailsPopup" tabindex="-1" role="dialog" aria-labelledby="mapShapeDetailsPopupTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="mapShapeDetailsPopupTitle"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <i id="popoverProxy" data-toggle="tooltip" data-placement="left" data-offset="0,25px" data-animation="false" data-trigger="manual" />
</div>

<div style="display:none">
    <div id="typesControl">
        <div class="btn-group" role="group">
            <button type="button" class="btn btn-light dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                Layers
            </button>
            <div class="dropdown-menu">
                <div class="btn-group btn-group-toggle btn-group-vertical" data-toggle="buttons">
                    <label class="btn btn-light" data-type="open" onclick="typeVisOnClick(event)">
                        <input type="checkbox" checked><span class="type-icon open-sites"></span> Open Sites
                    </label>
                    <label class="btn btn-light" data-type="closed" onclick="typeVisOnClick(event)">
                        <input type="checkbox"><span class="type-icon closed-sites"></span> Closed Sites
                    </label>
                    <label class="btn btn-light" data-type="school" onclick="typeVisOnClick(event)">
                        <input type="checkbox"><span class="type-icon schools"></span> Schools
                    </label>
                    <label class="btn btn-light" data-type="club" onclick="typeVisOnClick(event)">
                        <input type="checkbox"><span class="type-icon clubs"></span> Clubs
                    </label>
                    <label class="btn btn-light" data-type="car166" onclick="typeVisOnClick(event)">
                        <input type="checkbox"><span class="type-icon car166"></span> CAR166 Aerodromes
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    <script src="/js/map.js" asp-append-version="true" async></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=@ViewBag.GmapsApiKey&callback=initializeMap" async defer></script>
    <script src="/js/spiderfier.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/css/map.css" />
}
